/*
 ============================================================================
 Name        : logTerminal.c
 Author      : Oscar Garcia Sanchez
 Version     : 1
 Copyright   : none
 Description : LogTerminal Headers
 ============================================================================
 */

/*-----------------------------------------------------------
 * MACROS AND DEFINITIONS
 *----------------------------------------------------------*/
#define AL_DNS							"www.arpalab.appspot.com"
#define AL_HOST							"arpalab.appspot.com"
#define AL_HOST_RASP					"ogarciasa.redirectme.net"
#define AL_NID							"139607"
#define	AL_APP							"Boya"
#define AL_LOCAL_IP						"192.168.1.8"


//FUNCIONES ARP@LAB

/*
 * 		Configura la WiFly para utilizar el Arp@Lab
 *
 * 		@param bufferRespuesta (el buffer donde se leera la respuesta de la WiFly)
 *
 * 		@return void
 */
void arpALabConf(char* bufferRespuesta);

/*
 * 		Recupera un dato del Arp@Lab
 *
 * 		@param void
 *
 * 		@return dato (un dato númerico recuperado del Arp@Lab)
 */
uint32_t arpALabGetDato();

/*
 * 		Envía un dato al Arp@Lab
 *
 * 		@param dato númerico a enviar
 *
 * 		@return void
 */
void arpALabSendDato(uint16_t dato);

/*
 * 		Envía un dato float al Arp@Lab
 *
 * 		@param dato númerico a enviar
 *
 * 		@return void
 */
void arpALabSendDatof(float *dato);

/*
 * 		Envía un dato float a BBDD Servidor
 *
 * 		@param dato númerico a enviar
 *
 * 		@return void
 */
void sendDatoBBDDf(uint32_t idSensor, float *dato);

/*
 * 		Close TCP connection with Arp@Lab
 *
 * 		@return void
 */
void arpALabOpen(void);

/*
 * 		Open TCP connection with Arp@Lab
 *
 * 		@return void
 */
void arpALabClose(void);
