/*
 ============================================================================
 Name        : logTerminal.h
 Author      : Oscar Garcia Sanchez
 Version     : 1
 Copyright   : none
 Description : LogTerminal Headers
 ============================================================================
 */

/*-----------------------------------------------------------
 * MACROS AND DEFINITIONS
 *----------------------------------------------------------*/

/*
 * 		Envía una cadena al UART
 *
 * 		@param cadena (cadena de texto a enviar)
 *
 * 		@return void
 */
void logTerminal(char* cadena);

/*
 * 		Envía una cadena formateada con un número enviado como parámetro al UART
 *
 * 		@param cadena (cadena de texto a enviar)
 * 		@param numero (numero incluido en la cadena de texto a enviar)
 *
 * 		@return void
 */
void logTerminalNmbr(char* cadena, uint16_t numero);

/*
 * 		Envía una cadena formateada con un número float enviado como parámetro al UART
 *
 * 		@param cadena (cadena de texto a enviar)
 * 		@param numero (numero float incluido en la cadena de texto a enviar)
 *
 * 		@return void
 */
void logTerminalFloat(char* cadena, float numero);


/*
 * 		Inicializa el UART para enviar mensajes
 *
 * 		@param void
 *
 * 		@return void
 */
void logTerminalInit();
