/*
 ============================================================================
 Name        : arpalab.c
 Author      : Oscar Garcia Sanchez
 Version     : 1
 Copyright   : none
 Description : ArpaLab Functions
 ============================================================================
 */
#include "stdio.h"
#include "string.h"
#include "type.h"
#include "uart.h"
#include "LPC17xx.h"

#include "logTerminal.h"
#include "UARTprintf.h"
#include "WiFly.h"
#include "arpalab.h"
#include "config.h"


void arpALabConf(char* bufferRespuesta)
{
	char comando[100];
	bufferClear( comando, 100 );

	wiflySendCommand(WF_COM_SET_IP_PROTO_HTTP, bufferRespuesta, WF_SET_TIMEOUT);
	sprintf(comando, WF_COM_SET_DNS_NAME, AL_DNS);
	wiflySendCommand(comando, bufferRespuesta, WF_SET_TIMEOUT);
	wiflySendCommand(WF_COM_SET_IP_DNS_RESOLV, bufferRespuesta, WF_SET_TIMEOUT);
	wiflySendCommand(WF_COM_SET_IP_REMOTE_HTTP, bufferRespuesta, WF_SET_TIMEOUT);
	wiflySendCommand(WF_COM_SET_COM_REMOTE_ZERO, bufferRespuesta, WF_SET_TIMEOUT);
	wiflySendCommand(WF_COM_SET_OPTION_FORMAT_ZERO, bufferRespuesta, WF_SET_TIMEOUT);
}

uint32_t arpALabGetDato()
{
	uint32_t dato = 0;
	//uint32_t num_digits = 0;
	//char bufferTemporal[100];
	char *p1 = "";
	char *p2 = "\r\n";
	char *marca = "<html>";

	char comando[170], bufferRespuesta[300];
	bufferClear(comando, 170);
	bufferClear(bufferRespuesta, 300);

	//wiflySendCommand(WF_COM_ACT_OPEN, bufferRespuesta, WF_DOUBLE_TIMEOUT);

	strcat(comando, "GET /rest/feed");
	strcat(comando, " HTTP/1.1");
	strcat(comando, "\r\n");
	strcat(comando, "Host: ");
	strcat(comando, AL_HOST);
	strcat(comando, "\r\n");
	strcat(comando, "Accept: text/html,application/xhtml+xml,application/xml");
	strcat(comando, "\r\n");
	strcat(comando, "Accept-Language: es-ES,es");
	strcat(comando, "\r\n");
	strcat(comando, "Connection: keep-alive");
	strcat(comando, "\r\n");
	strcat(comando, "\r\n");
	strcat(comando, "\r\n");
	//logTerminal(comando);
	wiflySendCommand(comando, bufferRespuesta, WF_DOUBLE_TIMEOUT);
	//logTerminal(bufferRespuesta);

	p1 = strtok (bufferRespuesta,p2);
	//logTerminal(p1);

	while ( strncmp((p1 = strtok( NULL, p2 )), marca, 6) != 0 ) {
		//logTerminal(p1);
	}

	sscanf(p1, "<html> <title>Arp@Lab Feed</title><body><h1>%d", &dato);
	//sscanf(bufferRespuesta, "%*[^a-z-A-Z-0-9-_/-\r\n]Encoding: chunked\r\n\r\n%d\r\n%d\r\n0\r\n\r\n", &num_digits, &dato);
	return dato;
}

void arpALabSendDato(uint16_t dato)
{
	char comando[110], tmp_buffer[7], bufferRespuesta[1000];
	bufferClear(comando, 110);
	bufferClear(bufferRespuesta, 1000);
	bufferClear(tmp_buffer, 7);

	bufferClear(bufferRespuesta, 1000);

	strcat(comando, "GET /arpa/rest/stats?nid=");
	strcat(comando, AL_NID);
	strcat(comando, "&ip=");
	strcat(comando, AL_LOCAL_IP);
	strcat(comando, "&app=");
	strcat(comando, AL_APP);
	strcat(comando, "&data=");
	sprintf(tmp_buffer, "%d", dato);
	strcat(comando, tmp_buffer);
	strcat(comando, " HTTP/1.1");
	strcat(comando, "\r\n");
	strcat(comando, "Host: ");
	strcat(comando, AL_HOST_RASP);
	strcat(comando, "\r\n");
	strcat(comando, "\r\n");
	//logTerminal(comando);
	//strcat(comando, "GET /rest/stats?nid=139607&ip=111.111.111.111&app=Test&data=10 HTTP/1.1\r\nHost: arpalab.appspot.com\r\n\r\n");
	wiflySendCommand(comando, bufferRespuesta, WF_DOUBLE_TIMEOUT);
	//logTerminal(bufferRespuesta);
	bufferClear(bufferRespuesta, 1000);
 }

void arpALabSendDatof(float *dato)
{
	char comando[110], tmp_buffer[7], bufferRespuesta[1000];
	bufferClear(comando, 110);
	bufferClear(bufferRespuesta, 1000);
	bufferClear(tmp_buffer, 7);

	bufferClear(bufferRespuesta, 1000);

	strcat(comando, "GET /arpa/rest/stats?nid=");
	strcat(comando, AL_NID);
	strcat(comando, "&ip=");
	strcat(comando, AL_LOCAL_IP);
	strcat(comando, "&app=");
	strcat(comando, AL_APP);
	strcat(comando, "&data=");
	sprintf(tmp_buffer, "%.4f", *dato);
	strcat(comando, tmp_buffer);
	strcat(comando, " HTTP/1.1");
	strcat(comando, "\r\n");
	strcat(comando, "Host: ");
	strcat(comando, AL_HOST_RASP);
	strcat(comando, "\r\n");
	strcat(comando, "\r\n");
	//logTerminal(comando);
	//strcat(comando, "GET /rest/stats?nid=139607&ip=111.111.111.111&app=Test&data=10 HTTP/1.1\r\nHost: arpalab.appspot.com\r\n\r\n");
	wiflySendCommand(comando, bufferRespuesta, WF_DOUBLE_TIMEOUT);
	//logTerminal(bufferRespuesta);
	bufferClear(bufferRespuesta, 1000);
 }

void sendDatoBBDDf(uint32_t idSensor, float *dato)
{
	char comando[110], tmp_buffer[7], bufferRespuesta[1000];
	bufferClear(comando, 110);
	bufferClear(bufferRespuesta, 1000);
	bufferClear(tmp_buffer, 7);

	bufferClear(bufferRespuesta, 1000);

	strcat(comando, "GET /BoyaFeed/REST/WebService/SetSensorValueById?id=");
	snprintf(tmp_buffer, sizeof tmp_buffer, "%lu", (unsigned long)idSensor);
	//sprintf(tmp_buffer, "%u", idSensor);
	strcat(comando, tmp_buffer);
	bufferClear(tmp_buffer, 7);
	strcat(comando, "&value=");
	sprintf(tmp_buffer, "%.4f", *dato);
	strcat(comando, tmp_buffer);
	strcat(comando, " HTTP/1.1");
	strcat(comando, "\r\n");
	strcat(comando, "Host: ");
	strcat(comando, AL_HOST_RASP);
	strcat(comando, "\r\n");
	strcat(comando, "\r\n");
	//logTerminal(comando);
	//strcat(comando, "GET /rest/stats?nid=139607&ip=111.111.111.111&app=Test&data=10 HTTP/1.1\r\nHost: arpalab.appspot.com\r\n\r\n");
	wiflySendCommand(comando, bufferRespuesta, WF_DOUBLE_TIMEOUT);
	//logTerminal(bufferRespuesta);
	bufferClear(bufferRespuesta, 1000);
 }

void arpALabOpen(void)
{
	char bufferRespuesta[1000];
	bufferClear(bufferRespuesta, 1000);


	wiflySendCommand(WF_COM_ACT_OPEN_RASP, bufferRespuesta, WF_DOUBLE_TIMEOUT);
	//logTerminal(bufferRespuesta);
	bufferClear(bufferRespuesta, 1000);
}

void arpALabClose(void)
{
	char bufferRespuesta[1000];
	bufferClear(bufferRespuesta, 1000);

	wiflySendCommand(WF_COM_ACT_CLOSE, bufferRespuesta, WF_DOUBLE_TIMEOUT);
	//logTerminal(bufferRespuesta);
	bufferClear(bufferRespuesta, 1000);
}


