/*
 ============================================================================
 Name        : config.c
 Author      : Oscar Garcia Sanchez
 Version     : 1
 Copyright   : none
 Description : General Functions
 ============================================================================
 */

#include "stdio.h"
#include "string.h"
#include "type.h"
#include "uart.h"
#include "LPC17xx.h"

#include "WiFly.h"
#include "UARTprintf.h"
#include "logTerminal.h"
#include "config.h"


void serverConf()
{
	char comando[100], bufferRespuesta[1000];
	bufferClear( comando, 100 );
	bufferClear( bufferRespuesta, 1000 );

	wiFlyInit(bufferRespuesta);
	wiFlyEnter(bufferRespuesta);
	wiFlyJoinWLAN(bufferRespuesta,WF_WLAN_SSID, WF_WLAN_AUTH_MODE_WEP, WF_WLAN_PASS);

	wiflySendCommand(WF_COM_SET_IP_PROTO_HTTP, bufferRespuesta, WF_SET_TIMEOUT);
	sprintf(comando, WF_COM_SET_DNS_NAME, ES_DNS_RASP);
	wiflySendCommand(comando, bufferRespuesta, WF_SET_TIMEOUT);
	wiflySendCommand(WF_COM_SET_IP_DNS_RESOLV, bufferRespuesta, WF_SET_TIMEOUT);
	wiflySendCommand(WF_COM_SET_IP_REMOTE_HTTP, bufferRespuesta, WF_SET_TIMEOUT);
	wiflySendCommand(WF_COM_SET_COM_REMOTE_ZERO, bufferRespuesta, WF_SET_TIMEOUT);
	wiflySendCommand(WF_COM_SET_OPTION_FORMAT_ZERO, bufferRespuesta, WF_SET_TIMEOUT);
	//wiFlyExit(bufferRespuesta);
}




